import 'package:flutter_ble_lib/flutter_ble_lib.dart';

class HiflexRawDevice {
  String name;
  Peripheral peripheral;
  int rssi;
  AdvertisementData advertisementData;

  HiflexRawDevice(ScanResult scanResult) {
    update(scanResult);
  }

  String get identifier => peripheral.identifier ?? "";

  update(ScanResult scanResult) {
    name = scanResult.peripheral.name ??
        scanResult.advertisementData.localName ??
        "Unknown";

    peripheral = scanResult.peripheral;
    rssi = scanResult.rssi;
    advertisementData = scanResult.advertisementData;
  }

  bool existsAdService(String uuid) {
    var adServices = advertisementData.serviceUuids ?? [];
    if (adServices.any((element) => element == uuid)) {
      return true;
    }
    return false;
  }
}
